Skip to main content
Server path: /customerio-content | Type: Application | PCID required: Yes

Tools

ToolDescription
customerio_content_add_collectionCreate a collection
customerio_content_create_assetCreate a file asset
customerio_content_create_asset_folderCreate a folder
customerio_content_create_componentCreate a component
customerio_content_create_emailCreate an email
customerio_content_create_email_translationCreate an email translation
customerio_content_create_folderCreate a folder
customerio_content_create_snippetCreate a snippet
customerio_content_delete_assetDelete a file asset
customerio_content_delete_asset_folderDelete a folder
customerio_content_delete_collectionDelete a collection
customerio_content_delete_componentDelete a component
customerio_content_delete_emailDelete an email
customerio_content_delete_email_translationDelete an email translation
customerio_content_delete_folderDelete a folder
customerio_content_delete_snippetDelete a snippet
customerio_content_get_assetGet a file asset
customerio_content_get_asset_folderGet a folder
customerio_content_get_collectionLookup a collection
customerio_content_get_collection_contentsLookup collection contents
customerio_content_get_collectionsList your collections
customerio_content_get_componentGet a component
customerio_content_get_emailGet an email
customerio_content_get_email_translationGet an email translation
customerio_content_get_folderGet a folder
customerio_content_list_asset_foldersList folders
customerio_content_list_assetsList file assets
customerio_content_list_componentsList components
customerio_content_list_email_translationsList email translations
customerio_content_list_emailsList emails
customerio_content_list_foldersList folders
customerio_content_list_snippetsList snippets
customerio_content_update_assetUpdate a file asset
customerio_content_update_asset_folderUpdate a folder
customerio_content_update_collectionUpdate a collection
customerio_content_update_collection_contentsUpdate the contents of a collection
customerio_content_update_componentUpdate a component
customerio_content_update_emailUpdate an email
customerio_content_update_email_translationUpdate an email translation
customerio_content_update_folderUpdate a folder
customerio_content_update_snippetsUpdate snippets

customerio_content_add_collection

Create a collection Parameters:
ParameterTypeRequiredDefaultDescription
bodyobjectNoRequest body

customerio_content_create_asset

Create a file asset Parameters:
ParameterTypeRequiredDefaultDescription
filestringYesThe file to upload. Must be an accepted image or PDF type. Accepted file types: image/bmp, image/jpeg, image/jpg, image/png, image/gif, application/pdf. Maximum file size: 2 MB. Maximum image dimensions: 4096px.
namestringNoCustom display name for the asset. If omitted, the uploaded file’s original filename is used.
parent_folder_idintegerNoThe ID of the parent folder. Omit or set to “0” to place the asset at the root level.

customerio_content_create_asset_folder

Create a folder Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesDisplay name for the folder. Must be unique among siblings in the same parent folder.
parent_folder_idintegerNoThe ID of the parent folder. Omit or set to “0” to create at the root level.

customerio_content_create_component

Create a component Parameters:
ParameterTypeRequiredDefaultDescription
contentstringYesHTML content
namestringYesDisplay name of the component. You see this on your Design Studio dashboard. This may be different from the component tag name.
parent_folder_idstringNoUUID of the parent folder. Omit or pass null to create in the root directory.
tagstringYesThe component tag name, used to reference your component in an email. Learn what characters you can use.

customerio_content_create_email

Create an email Parameters:
ParameterTypeRequiredDefaultDescription
contentobjectNoThe content of your email.
envelopeobjectNoThe envelope of your email, like from and to addresses.
is_templatebooleanNoWhether the email is a reusable template.
namestringYesDisplay name of the email.
parent_folder_idstringNoUUID of the parent folder. Omit or pass null to create at root.
transformersobjectNoAutomate repetitive actions like removing white space and inlining CSS with transformers.

customerio_content_create_email_translation

Create an email translation Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the email.
contentobjectNoThe content of your email.
envelopeobjectNoThe envelope of your email, like from and to addresses.
languagestringYesA language code that corresponds to the language of the translation
transformersobjectNoAutomate repetitive actions like removing white space and inlining CSS with transformers.

customerio_content_create_folder

Create a folder Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name of the folder. Cannot contain these characters: < > : ” / \ | ? * .
parent_folder_idstringNoUUID of the parent folder. Omit or pass null to create at root.

customerio_content_create_snippet

Create a snippet Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name of the snippet, must be unique. Trimmed of leading and trailing whitespace before storage.
valuestringYesThe contents of the snippet (plain text or Liquid). Trimmed of leading and trailing whitespace before storage. Max length is environment-specific (default 16000).

customerio_content_delete_asset

Delete a file asset Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the resource.

customerio_content_delete_asset_folder

Delete a folder Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the resource.

customerio_content_delete_collection

Delete a collection Parameters:
ParameterTypeRequiredDefaultDescription
collection_idintegerYesThe identifier for a collection.

customerio_content_delete_component

Delete a component Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the component.

customerio_content_delete_email

Delete an email Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the email.

customerio_content_delete_email_translation

Delete an email translation Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the email.
languagestringYesA language code that indicates the language of your translated email

customerio_content_delete_folder

Delete a folder Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the folder.

customerio_content_delete_snippet

Delete a snippet Parameters:
ParameterTypeRequiredDefaultDescription
snippet_namestringYesThe name of a snippet.

customerio_content_get_asset

Get a file asset Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the resource.

customerio_content_get_asset_folder

Get a folder Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the resource.

customerio_content_get_collection

Lookup a collection Parameters:
ParameterTypeRequiredDefaultDescription
collection_idintegerYesThe identifier for a collection.

customerio_content_get_collection_contents

Lookup collection contents Parameters:
ParameterTypeRequiredDefaultDescription
collection_idintegerYesThe identifier for a collection.

customerio_content_get_collections

List your collections

customerio_content_get_component

Get a component Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the component.

customerio_content_get_email

Get an email Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the email.

customerio_content_get_email_translation

Get an email translation Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the email.
languagestringYesA language code that indicates the language of your translated email

customerio_content_get_folder

Get a folder Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the folder.

customerio_content_list_asset_folders

List folders Parameters:
ParameterTypeRequiredDefaultDescription
parent_folder_idintegerNoFilter results to a specific parent folder. Use 0 or omit to target the root level.
direct_descendants_onlybooleanNoIf true, this returns only children of the parent folder.
pageintegerNoThe page number of results you want to display. Use with limit.
limitintegerNoLimit the number of results per page.

customerio_content_list_assets

List file assets Parameters:
ParameterTypeRequiredDefaultDescription
parent_folder_idintegerNoFilter results to a specific parent folder. Use 0 or omit to target the root level.
direct_descendants_onlybooleanNoIf true, this returns only children of the parent folder.
pageintegerNoThe page number of results you want to display. Use with limit.
limitintegerNoLimit the number of results per page.

customerio_content_list_components

List components Parameters:
ParameterTypeRequiredDefaultDescription
tagstringNoFilter by component tag name. This is the name of the tag inserted into your emails.
pageintegerNoThe page number of results you want to display. Use with limit.
limitintegerNoLimit the number of results per page.
parent_folder_idstringNoFilter by parent folder. Must reference an existing folder. If not set, the response filters by the root level directory. To list only items in the root folder, leave parent_folder_id unset and only set direct_descendants_only to true.
direct_descendants_onlybooleanNoIf true, this returns only children of the parent folder.
sort_bystringNoSort By
sort_orderstringNoSort Order
created_beforeintegerNoReturn records created before this time. Must be a unix timestamp.
created_afterintegerNoReturn records created after this time. Must be a unix timestamp.
updated_beforeintegerNoReturn records updated before this time. Must be a unix timestamp.
updated_afterintegerNoReturn records updated after this time. Must be a unix timestamp.

customerio_content_list_email_translations

List email translations Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the email.

customerio_content_list_emails

List emails Parameters:
ParameterTypeRequiredDefaultDescription
pageintegerNoThe page number of results you want to display. Use with limit.
limitintegerNoLimit the number of results per page.
parent_folder_idstringNoFilter by parent folder. Must reference an existing folder. If not set, the response filters by the root level directory. To list only items in the root folder, leave parent_folder_id unset and only set direct_descendants_only to true.
direct_descendants_onlybooleanNoIf true, this returns only children of the parent folder.
sort_bystringNoSort By
sort_orderstringNoSort Order
created_beforeintegerNoReturn records created before this time. Must be a unix timestamp.
created_afterintegerNoReturn records created after this time. Must be a unix timestamp.
updated_beforeintegerNoReturn records updated before this time. Must be a unix timestamp.
updated_afterintegerNoReturn records updated after this time. Must be a unix timestamp.
is_templatestringNoFilter by whether the email is a template
has_translationsstringNoFilter by whether the email has translations
is_linkedstringNoFilter by whether the email is linked to a workflow (campaign, broadcast, etc).

customerio_content_list_folders

List folders Parameters:
ParameterTypeRequiredDefaultDescription
pageintegerNoThe page number of results you want to display. Use with limit.
limitintegerNoLimit the number of results per page.
parent_folder_idstringNoFilter by parent folder. Must reference an existing folder. If not set, the response filters by the root level directory. To list only items in the root folder, leave parent_folder_id unset and only set direct_descendants_only to true.
direct_descendants_onlybooleanNoIf true, this returns only children of the parent folder.
sort_bystringNoSort By
sort_orderstringNoSort Order
created_beforeintegerNoReturn records created before this time. Must be a unix timestamp.
created_afterintegerNoReturn records created after this time. Must be a unix timestamp.
updated_beforeintegerNoReturn records updated before this time. Must be a unix timestamp.
updated_afterintegerNoReturn records updated after this time. Must be a unix timestamp.

customerio_content_list_snippets

List snippets

customerio_content_update_asset

Update a file asset Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the resource.
namestringNoNew display name for the asset. Cannot be blank after trimming.
parent_folder_idintegerNoThe ID of the new parent folder. Set to null to move the asset to the root level.

customerio_content_update_asset_folder

Update a folder Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe unique identifier of the resource.
namestringNoNew display name for the folder. Cannot be blank after trimming.
parent_folder_idintegerNoThe ID of the new parent folder. Set to null to move the folder to the root level. Cannot be the folder itself or one of its descendants.

customerio_content_update_collection

Update a collection Parameters:
ParameterTypeRequiredDefaultDescription
collection_idintegerYesThe identifier for a collection.
bodyobjectNoRequest body

customerio_content_update_collection_contents

Update the contents of a collection Parameters:
ParameterTypeRequiredDefaultDescription
collection_idintegerYesThe identifier for a collection.
bodyobjectNoYour request is a free form object representing the contents of your collection. This request replaces the contents of the collection entirely, so include all contents that you want to remain in the collection—whether they change or not.

customerio_content_update_component

Update a component Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the component.
contentstringNoHTML content
namestringNoDisplay name of the component. You see this on your Design Studio dashboard. This may be different from the component tag name.
parent_folder_idstringNoThe UUID of the parent folder. Omit if you want no change to where the folder or file is located. Include null to move it to your root directory. Or add the UUID of another folder to move it there.
tagstringNoThe component tag name, used to reference your component in an email. Learn what characters you can use.

customerio_content_update_email

Update an email Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the email.
contentobjectNoThe content of your email.
envelopeobjectNoThe envelope of your email, like from and to addresses.
is_templatebooleanNoWhether the email is a reusable template.
namestringNoDisplay name of the email.
parent_folder_idstringNoThe UUID of the parent folder. Omit if you want no change to where the folder or file is located. Include null to move it to your root directory. Or add the UUID of another folder to move it there.
transformersobjectNoAutomate repetitive actions like removing white space and inlining CSS with transformers.

customerio_content_update_email_translation

Update an email translation Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the email.
languagestringYesA language code that indicates the language of your translated email
contentobjectNoThe content of your email.
envelopeobjectNoThe envelope of your email, like from and to addresses.
transformersobjectNoAutomate repetitive actions like removing white space and inlining CSS with transformers.

customerio_content_update_folder

Update a folder Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe UUID of the folder.
namestringNoName of the folder. Cannot contain any of these characters: < > : ” / \ | ? * .
parent_folder_idstringNoThe UUID of the parent folder. Omit if you want no change to where the folder or file is located. Include null to move it to your root directory. Or add the UUID of another folder to move it there.

customerio_content_update_snippets

Update snippets Parameters:
ParameterTypeRequiredDefaultDescription
namestringNoThe name of the snippet, must be unique. Trimmed of leading and trailing whitespace before storage.
valuestringNoThe contents of the snippet (plain text or Liquid). Trimmed of leading and trailing whitespace before storage. Max length is environment-specific (default 16000).